Package org.apache.sysds.runtime.matrix.operators

## Class AggregateOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.AggregateOperator

- All Implemented Interfaces:
    `Serializable`

      public class AggregateOperator
      extends Operator

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Types.CorrectionLocationType` | `correction` |
    `BinaryOperator` | `increOp` |
    `double` | `initialValue` |

    - ### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

      `sparseSafe`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AggregateOperator​(double initValue, ValueFunction op)` |
    `AggregateOperator​(double initValue, ValueFunction op, Types.CorrectionLocationType correctionLocation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `existsCorrection()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initialValue

          public final double initialValue

    - #### increOp

          public final BinaryOperator increOp

    - #### correction

          public final Types.CorrectionLocationType correction

  - ### Constructor Detail

    - #### AggregateOperator

          public AggregateOperator​(double initValue,
                                   ValueFunction op)

    - #### AggregateOperator

          public AggregateOperator​(double initValue,
                                   ValueFunction op,
                                   Types.CorrectionLocationType correctionLocation)

  - ### Method Detail

    - #### existsCorrection

          public boolean existsCorrection()